export declare type product_search_result = {
    [key: string]: any;
} & {
    count: number;
    hits: Array<object>;
    query: {
        [key: string]: any;
    } & {};
    select: string;
    start: number;
    total: number;
    data?: Array<object>;
    db_start_record_?: number;
    expand?: Array<string>;
    next?: {
        [key: string]: any;
    } & {
        count: number;
        db_start_record_: number;
        start: number;
    };
    previous?: {
        [key: string]: any;
    } & {
        count: number;
        db_start_record_: number;
        start: number;
    };
    sorts?: Array<object>;
};
export declare type ClassA = {
    [key: string]: {
        [key: string]: string;
    } & {
        property4: number;
        property5: string;
        property3?: any;
    };
} & {
    property1: string;
    property2?: number;
    classAobjectProperty?: {
        [key: string]: string;
    } & {
        name: string;
    };
};
export declare type customer_product_list_item = {
    [key: string]: any;
} & {
    id: string;
    priority: number;
    public: boolean;
    purchased_quantity: number;
    quantity: number;
    type: string;
    product?: string;
    product_details_link?: string;
    product_id?: string;
};
export declare type query = {
    [key: string]: any;
} & {};
export declare type ClassB = {
    [key: string]: string;
} & {
    property4: number;
    property5: string;
    property3?: any;
};
export declare type search_request = {
    [key: string]: any;
} & {
    query: {
        [key: string]: any;
    } & {};
    count?: number;
    db_start_record_?: number;
    expand?: Array<string>;
    select?: string;
    sorts?: Array<object>;
    start?: number;
};
export declare type password_change_request = {
    [key: string]: any;
} & {
    current_password: string;
    password: string;
};
export declare type sort = {
    [key: string]: any;
} & {
    field: string;
    sort_order?: string;
};
export declare type result_page = {
    [key: string]: any;
} & {
    count: number;
    db_start_record_: number;
    start: number;
};
//# sourceMappingURL=shopApi.types.d.ts.map